Update an insight
curl --request PUT \
--url 'https://api.conductor.com/v4/accounts/{accountId}/drafts/{draftId}/insights?apiKey=&sig=' \
--header 'Content-Type: application/json' \
--data '
{
"insightType": "BODY_CONTENT_COMMON",
"changeType": "USER_ADDED",
"changeValue": "new keyword"
}
'import requests
url = "https://api.conductor.com/v4/accounts/{accountId}/drafts/{draftId}/insights?apiKey=&sig="
payload = {
"insightType": "BODY_CONTENT_COMMON",
"changeType": "USER_ADDED",
"changeValue": "new keyword"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
insightType: 'BODY_CONTENT_COMMON',
changeType: 'USER_ADDED',
changeValue: 'new keyword'
})
};
fetch('https://api.conductor.com/v4/accounts/{accountId}/drafts/{draftId}/insights?apiKey=&sig=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
true{
"code": "<string>",
"message": "<string>"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}Content Insights
Update an insight
Apply a change to a specific insight, identified by insightType in the request body.
PUT
/
v4
/
accounts
/
{accountId}
/
drafts
/
{draftId}
/
insights
Update an insight
Authorizations
API Key as a query parameter
Request signature computed using API key and secret. Valid for 5 minutes after creation.
Path Parameters
Account identifier
Draft identifier
Body
application/json
Matches the GraphQL WritingAssistantInsightChangeInput.
Type of insight to change, e.g. BODY_CONTENT_COMMON, HTML_TITLE_COMMON, HTML_META_DESCRIPTION_COMMON.
Type of change to apply to the insight.
Available options:
USER_ADDED, HIDDEN, RESTORED Value associated with the change.
Response
Insight updated
The response is of type boolean.
⌘I
